Skip to main content

Create Lead: Propertyware

POSThttps://api.propexo.com/v1/leads/propertyware/
Method
createProspect
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    first_namestringrequired

    The first name associated with the lead

    last_namestringrequired

    The last name associated with the lead

    middle_namestring

    The middle name associated with the lead

    email_1string

    The primary email address associated with the lead

    phone_1string

    Primary phone number associated with the lead

    phone_1_typestring

    Type of the primary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    phone_2string

    Secondary phone number associated with the lead

    phone_2_typestring

    Type of the secondary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    citystring

    The city associated with the lead

    address_1string

    The first address line associated with the lead

    address_2string

    The second address line associated with the lead

    statestring

    The state associated with the lead

    zipstring

    The zip code associated with the lead

    countrystring

    The country associated with the lead

    notesstring

    Notes associated with the lead

    desired_num_bathroomsnumber

    The desired number of bathrooms

    desired_num_bedroomsnumber

    The desired number of bedrooms

    number_of_occupantsinteger

    The number of occupants living in the unit

    desired_max_rent_in_centsnumber | nullnullable

    The maximum rent cost the lead is looking to pay, in cents

    desired_min_rent_in_centsnumber | nullnullable

    The minimum rent cost the lead is looking to pay, in cents

    status_rawstring

    The raw status associated with the lead

    desired_unit_typestring

    The desired type of unit

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    first_namestringrequired

    The first name associated with the lead

    last_namestringrequired

    The last name associated with the lead

    middle_namestring | nullnullablerequired

    The middle name associated with the lead

    email_1string | nullnullablerequired

    The primary email address associated with the lead

    phone_1string | nullnullablerequired

    Primary phone number associated with the lead

    phone_1_typestring | nullnullablerequired

    Type of the primary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    phone_2string | nullnullablerequired

    Secondary phone number associated with the lead

    phone_2_typestring | nullnullablerequired

    Type of the secondary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    citystring | nullnullablerequired

    The city associated with the lead

    address_1string | nullnullablerequired

    The first address line associated with the lead

    address_2string | nullnullablerequired

    The second address line associated with the lead

    statestring | nullnullablerequired

    The state associated with the lead

    zipstring | nullnullablerequired

    The zip code associated with the lead

    countrystring | nullnullablerequired

    The country associated with the lead

    notesstring | nullnullablerequired

    Notes associated with the lead

    desired_num_bathroomsnumber | nullnullablerequired

    The desired number of bathrooms

    desired_num_bedroomsnumber | nullnullablerequired

    The desired number of bedrooms

    number_of_occupantsinteger | nullnullablerequired

    The number of occupants living in the unit

    desired_max_rent_in_centsnumber | nullnullablerequired

    The maximum rent cost the lead is looking to pay, in cents

    desired_min_rent_in_centsnumber | nullnullablerequired

    The minimum rent cost the lead is looking to pay, in cents

    status_rawstring | nullnullablerequired

    The raw status associated with the lead

    desired_unit_typestring | nullnullablerequired

    The desired type of unit

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/leads/propertyware/
curl -X POST https://api.propexo.com/v1/leads/propertyware/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"first_name": "string",
"last_name": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"first_name": "string",
"last_name": "string",
"middle_name": "string",
"email_1": "string",
"phone_1": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"city": "string",
"address_1": "string",
"address_2": "string",
"state": "string",
"zip": "string",
"country": "string",
"notes": "string",
"desired_num_bathrooms": 0,
"desired_num_bedrooms": 0,
"number_of_occupants": 0,
"desired_max_rent_in_cents": 0,
"desired_min_rent_in_cents": 0,
"status_raw": "string",
"desired_unit_type": "string"
}
}